// From GovPet.com 
$(function(){
	var tophtml="<div id=\"GovPetBackTop\" class=\"GovPetTop\"><a href=\"/FeedBack/\" class=\"btn btn-qq\"></a><div class=\"btn btn-wx\"><img class=\"pic\" src=\"/images/QRCode.png\" onclick=\"window.location.href=\'/\'\"/></div><div class=\"btn btn-phone\"><div class=\"phone\">400800800</div></div><div class=\"btn btn-top\"></div></div>";
	$("#top").html(tophtml);
	$("#GovPetBackTop").each(function(){
		$(this).find(".btn-wx").mouseenter(function(){
			$(this).find(".pic").fadeIn("fast");
		});
		$(this).find(".btn-wx").mouseleave(function(){
			$(this).find(".pic").fadeOut("fast");
		});
		$(this).find(".btn-phone").mouseenter(function(){
			$(this).find(".phone").fadeIn("fast");
		});
		$(this).find(".btn-phone").mouseleave(function(){
			$(this).find(".phone").fadeOut("fast");
		});
		$(this).find(".btn-top").click(function(){
			$("html, body").animate({
				"scroll-top":0
			},"fast");
		});
	});
	var lastRmenuStatus=false;
	$(window).scroll(function(){//bug
		var _top=$(window).scrollTop();
		if(_top>200){
			$("#GovPetBackTop").data("expanded",true);
		}else{
			$("#GovPetBackTop").data("expanded",false);
		}
		if($("#GovPetBackTop").data("expanded")!=lastRmenuStatus){
			lastRmenuStatus=$("#GovPetBackTop").data("expanded");
			if(lastRmenuStatus){
				$("#GovPetBackTop .btn-top").slideDown();
			}else{
				$("#GovPetBackTop .btn-top").slideUp();
			}
		}
	});
});